Skip to main content
POST
/
api
/
v1
/
customer
/
support-cases
/
{supportCaseId}
/
messages
Create Support Case Message
curl --request POST \
  --url https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "Ainda preciso de ajuda.",
  "attachments": [
    {
      "storageKey": "support-cases/0197f150/evidence.png",
      "fileName": "evidence.png",
      "contentType": "image/png"
    }
  ]
}
'
import requests

url = "https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/messages"

payload = {
"body": "Ainda preciso de ajuda.",
"attachments": [
{
"storageKey": "support-cases/0197f150/evidence.png",
"fileName": "evidence.png",
"contentType": "image/png"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Ainda preciso de ajuda.'),
attachments: [
{
storageKey: 'support-cases/0197f150/evidence.png',
fileName: 'evidence.png',
contentType: 'image/png'
}
]
})
};

fetch('https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "supportCaseMessageId": "0197f152-58dd-70c7-a69d-35ecda7ff28f",
  "supportCaseId": "0197f150-40d6-7c1a-bdf2-c5884e07d401",
  "senderType": "CUSTOMER",
  "visibility": "PUBLIC",
  "body": "Ainda preciso de ajuda.",
  "createdAt": "2026-07-10T12:00:00.000Z",
  "updatedAt": "2026-07-10T12:00:00.000Z",
  "senderUserId": null,
  "readAt": null,
  "deletedAt": null
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0197f150-40d6-7c1a-bdf2-c5884e07d401"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Body

application/json
body
string
required

Message body

Maximum string length: 10000
Example:

"Ainda preciso de ajuda."

attachments
object[]

Message attachments

Maximum array length: 10

Response

Created

Support case message

supportCaseMessageId
string<uuid>
required

Support case message identifier

Example:

"0197f152-58dd-70c7-a69d-35ecda7ff28f"

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0197f150-40d6-7c1a-bdf2-c5884e07d401"

senderType
enum<string>
required

Support case message sender type

Available options:
CUSTOMER,
OPERATIONS,
BKO,
SYSTEM
Example:

"CUSTOMER"

visibility
enum<string>
required

Support case message visibility

Available options:
PUBLIC,
INTERNAL
Example:

"PUBLIC"

body
string
required

Message body

Maximum string length: 10000
Example:

"Ainda preciso de ajuda."

createdAt
string<date-time>
required

Created at

Example:

"2026-07-10T12:00:00.000Z"

updatedAt
string<date-time>
required

Updated at

Example:

"2026-07-10T12:00:00.000Z"

senderUserId
string<uuid> | null

Sender user identifier

Example:

null

readAt
string<date-time> | null

Read at

Example:

null

deletedAt
string<date-time> | null

Deleted at

Example:

null